package supermarketcheckoutsystem;

public class Card {
    
    private int cardNumber;
    private int pin;
    private int accountNumber;
    
    private static int currentCardNumber = 0;
    
    public Card(int pin) {
        this.cardNumber = currentCardNumber;
        this.pin = pin;
        this.accountNumber = 0;
        currentCardNumber += 1;
    }
    
    public int getCardNumber() {
        return cardNumber;
    }

    public boolean checkPin(int pin) {
        return this.pin == pin;
    }
    
    public int getAccountNumber() {
        return accountNumber;
    }
    
    public void setAccountNumber(int accountNumber) {
        this.accountNumber = accountNumber;
    }
    
}
